# Pull Request

## Description

Provide a brief description of your changes.

## Issues

<!-- Remove this if your pull request address changes other than existing issues -->
Closes #IssueNumber
(Replace "IssueNumber" with the actual issue number you are addressing.)

## Improvements
<!-- Please tell us the improvements you made in a list -->

<!-- Example: -->
- Improve code readability
- Improve performance

## Features
<!-- Please tell us the features you added in a list if you add any -->

<!-- Example: -->
- Add a new feature
- Allow to customize the widgets

<!-- Remove this if your pull request about other changes -->

## Additional notes
<!-- Optional -->

## Suggestions
<!-- Optional -->

## Checklist

<!-- Mark all that applies with `[x]` -->

- [ ] I have added/updated relevant documentation <!-- REQUIRED -->
- [ ] I have tested these changes locally. <!-- REQUIRED -->
- [ ] I have followed the code style and guidelines. <!-- REQUIRED -->
- [ ] I have updated `CHANGELOG.md` with my changes in the next section <!-- REQUIRED -->
- [ ] I have run `dart format .`` on the project <!-- REQUIRED -->
- [ ] I have run `dart fix --apply` on the project <!-- REQUIRED -->
- [ ] I have run `flutter test` and `flutter analyze` and it passed successfully <!-- REQUIRED -->
- [ ] I have run `./before-push.sh` and everything is fine <!-- Optional -->
